Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pmd.util.designer
Class Designer

    java.lang.Object
      net.sourceforge.pmd.util.designer.Designer

All Implemented Interfaces:
  java.awt.datatransfer.ClipboardOwner

public class Designer
extends java.lang.Object
implements java.awt.datatransfer.ClipboardOwner

Constructor Summary
`Designer()`

Method Summary
`void` | `lostOwnership(java.awt.datatransfer.Clipboard clipboard, java.awt.datatransfer.Transferable contents)`
`static void` | `main(java.lang.String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Designer

    public Designer()

Method Detail

### main

    public static void main(java.lang.String[] args)

### lostOwnership

    public void lostOwnership(java.awt.datatransfer.Clipboard clipboard,
                              java.awt.datatransfer.Transferable contents)

  Specified by:
    `lostOwnership` in interface `java.awt.datatransfer.ClipboardOwner`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 InfoEther. All Rights Reserved.